Bug 140182 - gcc encode_type error using objc
Summary: gcc encode_type error using objc
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-20 19:27 UTC by Jim Robison-Cox
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-27 12:18:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Robison-Cox 2004-11-20 19:27:08 UTC
Description of problem:

Am trying to build an objc library called swarm:
 www.swarm.org,
swarm-2.1.150.20040413

gcc fails with error:
 InputStream.m:428: internal compiler error: in encode_type, at
objc/objc-act.c:7393


Version-Release number of selected component (if applicable):
gcc (GCC) 3.4.2 20041017 (Red Hat 3.4.2-6.fc3)

libobjc 3.3.2

How reproducible:
  every time I try it.  I did change some definitions to try to match
classes, but it did not help.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
  should build the .o file

Additional info:
 preprocessed source attached

Comment 1 Jim Robison-Cox 2004-11-20 19:31:11 UTC
Hmm, trying to atach the file it said it saved, but it's empty.
Sorry.

Comment 2 Jakub Jelinek 2004-11-24 09:32:58 UTC
If attach doesn't work for you, then mail it to me and I'll attach it here.
Without a testcase, there is nothing to do about it.

Comment 3 Jakub Jelinek 2004-12-27 12:18:22 UTC
Without a testcase there is nothing we can do about it.  If you have a testcase,
please reopen with it.


Note You need to log in before you can comment on or make changes to this bug.